xcb_render_tri_fan(3)

NAME
xcb_render_tri_fan -

SYNOPSIS
#include <xcb/render.h>

  Request function

xcb_void_cookie_t xcb_render_tri_fan(xcb_connection_t *conn, uint8_t op, xcb_render_picture_t src, xcb_render_picture_t dst, xcb_render_pictformat_t mask_format, int16_t src_x, int16_t src_y, uint32_t points_len, const xcb_render_pointfix_t *points);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

op  TODO: NOT YET DOCUMENTED.

src TODO: NOT YET DOCUMENTED.

dst TODO: NOT YET DOCUMENTED.

mask_format
    TODO: NOT YET DOCUMENTED.

src_x
    TODO: NOT YET DOCUMENTED.

src_y
    TODO: NOT YET DOCUMENTED.

points_len
    TODO: NOT YET DOCUMENTED.

points
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_render_tri_fan_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from render.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.